--[[ MapEasyStart mod

    Copyright (C) 09.2011 bserlwe
	Datum: 08.10.2012
	Version: 2.0
	
	-  Anzahl der Khe bei Start des Spiels auf 15 erhht.
	-  Milch und Mist/Glleproduktion stark erhht
	-  Geldbetrag beim Start des Spiels auf 1 Mio. Euro erhht.
	-  Die Silos sind aufgefllt.
	-  Die Ertrge der Standardfrchte sind erhht.
--]]

print("  MapEasyStart by boeserloewe");

MapEasyStart = {};
function MapEasyStart:loadMap(name)
	if g_currentMission.missionStats.playTime > 0 then 
		g_currentMission.missionInfo.numCows = g_currentMission.missionInfo.numCows ;
		else g_currentMission.missionInfo.numCows = 15;
	
	g_currentMission.milkProductionScale = 5;
    g_currentMission.milkPriceScale = 5;
    g_currentMission.manureProductionScale = 2;
	g_currentMission.missionStats.farmSiloAmounts[Fillable.FILLTYPE_BARLEY] = 500000;
	g_currentMission.missionStats.farmSiloAmounts[Fillable.FILLTYPE_WHEAT]= 500000;
	g_currentMission.missionStats.farmSiloAmounts[Fillable.FILLTYPE_RAPE] = 500000;
	g_currentMission.missionStats.farmSiloAmounts[Fillable.FILLTYPE_MAIZE] = 500000;
	g_currentMission.missionStats.farmSiloAmounts[Fillable.FILLTYPE_CHAFF] = 50000;
	g_currentMission.missionStats.farmSiloAmounts[Fillable.FILLTYPE_GRASS] = 50000;
	g_currentMission.missionStats.farmSiloAmounts[Fillable.FILLTYPE_DRYGRASS] = 50000;
	g_currentMission.missionStats.farmSiloAmounts[Fillable.FILLTYPE_MILK] = 50000;
	g_currentMission.missionStats.farmSiloAmounts[Fillable.FILLTYPE_MANURE] = 50000;
	g_currentMission.missionStats.farmSiloAmounts[Fillable.FILLTYPE_LIQUIDMANURE] = 50000;
	
	FruitUtil.fruitTypes.rape.literPerSqm = 3;
	FruitUtil.fruitTypes.maize.literPerSqm = 3;
	FruitUtil.fruitTypes.wheat.literPerSqm = 3;
	FruitUtil.fruitTypes.barley.literPerSqm = 3;
	FruitUtil.fruitTypes.grass.literPerSqm = 3;
	end;
end;

function MapEasyStart:deleteMap()
end;

function MapEasyStart:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MapEasyStart:keyEvent(unicode, sym, modifier, isDown)
end;

function MapEasyStart:update(dt)

		if g_currentMission.missionStats.playTime > 0 then 
			g_currentMission.environment.money = g_currentMission.missionInfo.money ; 
		else g_currentMission.missionStats.money = g_currentMission.missionStats.money + (1000000 -  g_currentMission.missionStats.money) ;
			
		end;
end;

function MapEasyStart:draw()
end;

addModEventListener(MapEasyStart);

